Freeciv-3.1: tab_nation Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | Private Attributes
tab_nation Class Reference

`#include <tab_nation.h>`

Inheritance diagram for tab_nation:

## Public Member Functions

| tab_nation (ruledit_gui *ui_in)
void | refresh ()
void | flush_widgets ()

## Private Slots

void | nationlist_toggle (bool checked)

## Private Attributes

ruledit_gui * | ui
QCheckBox * | via_include
QLineEdit * | nationlist

## Detailed Description

Definition at line 25 of file tab_nation.h.

## Constructor & Destructor Documentation

## ◆ tab_nation()

tab_nation::tab_nation | ( | ruledit_gui * | ui_in | ) |

explicit

Setup tab_nation object

Definition at line 40 of file tab_nation.cpp.

## Member Function Documentation

## ◆ flush_widgets()

void tab_nation::flush_widgets | ( |  | ) |

Flush information from widgets to stores where it can be saved from.

Definition at line 83 of file tab_nation.cpp.

Referenced by ruledit_gui::flush_widgets().

## ◆ nationlist_toggle

void tab_nation::nationlist_toggle | ( | bool | checked | ) |

privateslot

Toggled nationlist include setting

Definition at line 100 of file tab_nation.cpp.

Referenced by tab_nation().

## ◆ refresh()

void tab_nation::refresh | ( |  | ) |

Refresh the information.

Definition at line 68 of file tab_nation.cpp.

Referenced by ruledit_gui::launch_now(), nationlist_toggle(), and tab_nation().

## Field Documentation

## ◆ nationlist

QLineEdit* tab_nation::nationlist

private

Definition at line 41 of file tab_nation.h.

Referenced by flush_widgets(), nationlist_toggle(), refresh(), and tab_nation().

## ◆ ui

ruledit_gui* tab_nation::ui

private

Definition at line 38 of file tab_nation.h.

Referenced by flush_widgets(), nationlist_toggle(), refresh(), and tab_nation().

## ◆ via_include

QCheckBox* tab_nation::via_include

private

Definition at line 40 of file tab_nation.h.

Referenced by flush_widgets(), refresh(), and tab_nation().